# WebMercatorProjection

#### new Cesium.WebMercatorProjection(ellipsoid)
Core/WebMercatorProjection.js 33

The map projection used by Google Maps, Bing Maps, and most of ArcGIS Online, EPSG:3857. This projection use longitude and latitude expressed with the WGS84 and transforms them to Mercator using the spherical (rather than ellipsoidal) equations.

Name | Type | Default | Description
--- | --- | --- | ---
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid.

##### See:

- GeographicProjection

### Members

#### staticCesium.WebMercatorProjection.MaximumLatitude : Number
Core/WebMercatorProjection.js 98

The maximum latitude (both North and South) supported by a Web Mercator (EPSG:3857) projection. Technically, the Mercator projection is defined for any latitude up to (but not including) 90 degrees, but it makes sense to cut it off sooner because it grows exponentially with increasing latitude. The logic behind this particular cutoff value, which is the one used by Google Maps, Bing Maps, and Esri, is that it makes the projection square. That is, the rectangle is equal in the X and Y directions. The constant value is computed by calling: WebMercatorProjection.mercatorAngleToGeodeticLatitude(Math.PI)

#### readonlyellipsoid : Ellipsoid
Core/WebMercatorProjection.js 48

Gets the `Ellipsoid`.

### Methods

#### staticCesium.WebMercatorProjection.geodeticLatitudeToMercatorAngle(latitude) → Number
Core/WebMercatorProjection.js 73

Converts a geodetic latitude in radians, in the range -PI/2 to PI/2, to a Mercator angle in the range -PI to PI.

Name | Type | Description
--- | --- | ---
`latitude` | Number | The geodetic latitude in radians.

##### Returns:

The Mercator angle.

#### staticCesium.WebMercatorProjection.mercatorAngleToGeodeticLatitude(mercatorAngle) → Number
Core/WebMercatorProjection.js 62

Converts a Mercator angle, in the range -PI to PI, to a geodetic latitude in the range -PI/2 to PI/2.

Name | Type | Description
--- | --- | ---
`mercatorAngle` | Number | The angle to convert.

##### Returns:

The geodetic latitude in radians.

#### project(cartographic, result) → Cartesian3
Core/WebMercatorProjection.js 110

Converts geodetic ellipsoid coordinates, in radians, to the equivalent Web Mercator X, Y, Z coordinates expressed in meters and returned in a `Cartesian3`. The height is copied unmodified to the Z coordinate.

Name | Type | Description
--- | --- | ---
`cartographic` | Cartographic | The cartographic coordinates in radians.
`result` | Cartesian3 | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The equivalent web mercator X, Y, Z coordinates, in meters.

#### unproject(cartesian, result) → Cartographic
Core/WebMercatorProjection.js 136

Converts Web Mercator X, Y coordinates, expressed in meters, to a `Cartographic` containing geodetic ellipsoid coordinates. The Z coordinate is copied unmodified to the height.

Name | Type | Description
--- | --- | ---
`cartesian` | Cartesian3 | The web mercator Cartesian position to unrproject with height (z) in meters.
`result` | Cartographic | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The equivalent cartographic coordinates.